using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace StCtlLib
{
	/// <summary>
	/// StPanel の概要の説明です。
	/// </summary>
	public class StPanel : Panel
	{
		/// <summary>
		/// 必要なデザイナ変数です。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public StPanel()
		{
			// この呼び出しは、Windows.Forms フォーム デザイナで必要です。
			InitializeComponent();

			// TODO: InitializeComponent 呼び出しの後に初期化処理を追加します。

		}

		/// <summary>
		/// 使用されているリソースに後処理を実行します。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region コンポーネント デザイナで生成されたコード 
		/// <summary>
		/// デザイナ サポートに必要なメソッドです。このメソッドの内容を
		/// コード エディタで変更しないでください。
		/// </summary>
		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
		}
		#endregion

	
		private bool eraseBackGround;
		public bool EraseBackGround
		{
			get
			{
				return(eraseBackGround);
			}
			set
			{
				eraseBackGround = value;
			}
		}

	
		protected override void OnPaintBackground(System.Windows.Forms.PaintEventArgs pevent)
		{
			
			if(eraseBackGround)
			{
				base.OnPaintBackground (pevent);
			}
			
		}
	}
}
